Doomsday Engine - Bug #2285

Extreme lag with LAN discovery of multiple (12) local servers
2018-10-03 07:58 - skyjake

Status: Closed Start date: 2018-10-03
Priority: Normal % Done: 100%
Assignee: skyjake

Category: Defect

Target version: 2.1 (Late 2018)

Description

See the forums for details: http://talk.dengine.net/discussion/comment/16863#Comment_16863

Related issues:
Related to Bug #2141: Use server IDs to detect which public/private entries b... Closed 2015-12-09

Associated revisions

Revision 2be0bd42 - 2018-11-22 21:51 - skyjake

Performance: Manipulating and copying Serverinfos

The Record-based shell::Serverinfo was being copied multiple times continuously during discovery and update of servers. Apply a copy-on-write
mechanism internally in Serverinfo so that it can be used more efficiently.

Also Address now caches localhost check results and the text representation of the address, so these don’t have to be done more than once.

IssuelD #2285

History

#1 - 2018-10-27 15:51 - skyjake

- Related to Bug #2141: Use server IDs to detect which public/private entries belong to the same server in the Multiplayer list added

#2 - 2018-11-03 21:39 - skyjake
d5ec468248 may help with this issue.

#3 - 2018-11-05 05:35 - tacgnol
It helped, | went from 2 FPS to 10 or 23 when | check the FPS counter.

But | would say there is something else.

When | isolate my server on another vlan, my client have a steady 60 FPS.

#4 - 2018-11-05 10:13 - skyjake

tacgnol wrote:
But | would say there is something else.
| agree. It is doing a lot of unnecessary work updating the list, because the logo loading is not something that should be occurring continuously.

#5 - 2018-11-06 09:24 - skyjake

- Status changed from New to In Progress

#6 - 2018-11-22 21:53 - skyjake
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

The optimizations in 2be0bd42 should provide a sufficient performance improvement. Please test and check how well it works for you.

#7 - 2018-11-23 05:32 - tacgnol
https://tracker.dengine.net/projects/deng/repository/revisions/2be0bd42e27f8fb9d1d1e6f89afc96a04b0e939e

yeah, seems to be fixed now !

thanks again !

#8 - 2018-11-25 15:50 - skyjake

- Status changed from Resolved to Closed
